Ask Your Question
0

fedora 19 thunderbird 24 update breaking due to enigmail 1.5.2

asked 2013-10-09 09:16:11 -0500

thssn.dvd gravatar image

updated 2014-09-28 11:58:31 -0500

mether gravatar image

Hi, I am trying to update thunderbird and enigmail breaks it. from what i gather enigmail should work with thunderbird 24, but, it is killing the thunderbird update. Here is the yumex output:

09:07:32 : YUM: Yum Version : 3.4.3

09:07:32 : YUM: Loaded plugins: fastestmirror, langpacks

09:07:32 : Setting Yum Option clean_requirements_on_remove = False

09:07:32 : Getting available updates

09:07:32 : YUM: Loading mirror speeds from cached hostfile

09:07:52 : YUM: * fedora: fedora.mirror.lstn.net

09:07:52 : YUM: * rpmfusion-free: mirror.us.leaseweb.net

09:07:52 : YUM: * rpmfusion-free-updates: rpmfusion.famillecollet.com

09:07:52 : YUM: * rpmfusion-nonfree: mirror.us.leaseweb.net

09:07:52 : YUM: * rpmfusion-nonfree-updates: rpmfusion.famillecollet.com

09:07:52 : YUM: * updates: fedora.mirror.lstn.net

09:07:55 : 2 packages returned

09:07:55 : Getting available obsoletes

09:07:55 : 0 packages returned

09:07:56 : YUM: --> Running transaction check

09:07:56 : YUM: ---> Package thunderbird.x86_64 0:17.0.9-1.fc19 will be updated

09:07:56 : YUM: ---> Package thunderbird.x86_64 0:24.0-3.fc19 will be an update

09:07:56 : YUM: ---> Package thunderbird-lightning.x86_64 0:1.9.1-2.fc19 will be updated

09:07:56 : YUM: ---> Package thunderbird-lightning.x86_64 0:2.6-1.fc19 will be an update

09:07:56 : YUM: --> Processing Conflict: thunderbird-enigmail-1.5.2-1.fc19.x86_64 conflicts thunderbird >= 18.0

09:07:57 : YUM: --> Finished Dependency Resolution

09:08:07 : ERROR: Dependency resolving completed with errors

09:08:07 : ERROR: thunderbird-enigmail conflicts with thunderbird-24.0-3.fc19.x86_64

any idea how i can get past this?

edit retag flag offensive close merge delete

Comments

Do you need thunderbird-enigmail ?

lnxslck gravatar imagelnxslck ( 2013-10-09 10:13:16 -0500 )edit

i do; i am using evolution to get around the issue for now.

thssn.dvd gravatar imagethssn.dvd ( 2013-10-09 11:07:19 -0500 )edit

i was able to get around it in thunderbird by installing the add-on from within thunderbird. installing the package is the problem.

thssn.dvd gravatar imagethssn.dvd ( 2013-10-09 11:25:35 -0500 )edit

3 Answers

Sort by » oldest newest most voted
2

answered 2013-10-09 11:45:56 -0500

skytux gravatar image

thunderbird-enigmail-1.6-1.fc19 has been pushed to stable repository. If you can't wait a couple of hours until it hits stable repos, then you can install it from Koji:

# yum install http://kojipkgs.fedoraproject.org//packages/thunderbird-enigmail/1.6/1.fc19/x86_64/thunderbird-enigmail-1.6-1.fc19.x86_64.rpm

HTH,

Germán.

edit flag offensive delete link more
0

answered 2013-10-09 10:52:44 -0500

thssn.dvd gravatar image

yeah, i updated the packages after uninstalling enigmail. then tried to reinstall enigmail. doesn't work. i do need PGP, so, for now I am using evolution. this looks like a bug, but, i have no idea how to submit bug report.

[dthiessen@ast180ua381b ~]$ sudo yum install thunderbird-enigmail

[sudo] password for dthiessen:

Loaded plugins: fastestmirror, langpacks, refresh-packagekit

Loading mirror speeds from cached hostfile

  • fedora: fedora.mirror.lstn.net

  • rpmfusion-free: mirror.web-ster.com

  • rpmfusion-free-updates: mirror.web-ster.com

  • rpmfusion-nonfree: mirror.web-ster.com

  • rpmfusion-nonfree-updates: mirror.web-ster.com

  • updates: fedora.mirror.lstn.net

Resolving Dependencies

--> Running transaction check

---> Package thunderbird-enigmail.x86_64 0:1.5.2-1.fc19 will be installed

--> Processing Conflict: thunderbird-enigmail-1.5.2-1.fc19.x86_64 conflicts thunderbird >= 18.0

--> Finished Dependency Resolution

Error: thunderbird-enigmail conflicts with thunderbird-24.0-3.fc19.x86_64

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

[dthiessen@ast180ua381b ~]$

edit flag offensive delete link more

Comments

Have you tried with --skip-broken ?

lnxslck gravatar imagelnxslck ( 2013-10-09 11:35:43 -0500 )edit

To submit a bug you can go https://bugzilla.redhat.com/ create an account and register a bug.

lnxslck gravatar imagelnxslck ( 2013-10-09 11:38:30 -0500 )edit

no need to submit a bug report. A fixed package is on its way to stable. This was an unfortunate miscoordination between packagers: Thunderbird 17 needed to get a security fix, so the new enigmail update was unpushed (late September) but then the thunderbird maintainer forgot to resubmit the update after thunderbird 24 hit testing/stable again.

Felix Schwarz gravatar imageFelix Schwarz ( 2013-10-09 17:08:14 -0500 )edit
0

answered 2013-10-09 10:14:59 -0500

updated 2013-10-09 11:47:55 -0500

I was able to install thunderbird-enigmail like so:

  1. Remove both thunderbird and thunderbird-enigmail

  2. Install thunderbird

  3. Download thunderbird-enigmail rpm from a repository

    wget http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/releases/19/Everything/x86_64/os/Packages/t/thunderbird-enigmail-1.5.1-1.fc19.x86_64.rpm

  4. Install it like so:

    sudo rpm -ivh thunderbird-enigmail-1.5.1-1.fc19.x86_64.rpm --nodeps

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2013-10-09 09:16:11 -0500

Seen: 745 times

Last updated: Oct 09 '13